Index: extensions/UserAdvManager/branches/2.51/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.51/language/ru_RU/plugin.lang.php	(revision 25075)
+++ extensions/UserAdvManager/branches/2.51/language/ru_RU/plugin.lang.php	(revision 25093)
@@ -52,5 +52,4 @@
 $lang['UAM_submit'] = 'Отправка настроек';
 $lang['UAM_save_config'] = 'Конфигурация сохранена.';
-$lang['UAM_reg_err_login3'] = 'Служба безопасности: Пароль обязателен!';
 $lang['UAM_Subject admin validation for %s'] = 'Регистрация пользователя %s ожидает подтверждения';
 $lang['UAM_Title4'] = 'Советы и примеры использования';
@@ -99,6 +98,4 @@
 $lang['UAM_Reminder_with_key_of_%s'] = '%s, Ваш ключ подтверждения был обновлен';
 $lang['UAM_Reminder_without_key_of_%s'] = '%s, Ваш ключ подтверждения устарел';
-$lang['UAM %d user pwdreseted'] = 'Требуется обновить пароль для %d пользователя';
-$lang['UAM %d users pwdreseted'] = 'Требуется обновить пароли для %d пользователей';
 $lang['UAM_%d_Mail_With_Key'] = '%d сообщение с ключом обновления было отправлено';
 $lang['UAM_%d_Mails_With_Key'] = '%d сообщения с ключом обновления были отправлены';
@@ -119,12 +116,5 @@
 $lang['UAM_Restore_File'] = 'Восстановление конфигурации';
 $lang['UAM_Registration_Date'] = 'Регистрационные данные';
-$lang['UAM_Password reset selected users'] = 'Запрос обновления пароля для выбранных пользователей';
 $lang['UAM_Password: %s'] = 'Пароль: %s';
-$lang['UAM_PasswordTest'] = 'Проверка пароля:';
-$lang['UAM_Password_Reset_Msg'] = 'Пожалуйста, смените свой пароль!';
-$lang['UAM_PwdReset'] = 'Обновление пароля';
-$lang['UAM_PwdReset_Done'] = 'Пароль обновлен';
-$lang['UAM_PwdReset_NA'] = 'Исходный пароль';
-$lang['UAM_You need to confirm pwdreset'] = 'Вы должны подтвердить обновление пароля (поставьте галочку)!';
 $lang['UAM_group "%s" updated'] = 'Для лучшей производительности группа %s была автоматически установлена в качестве "группы по умолчанию".';
 $lang['UAM_no_update_pwd'] = '[профиль обновлен без смены пароля]';
@@ -139,6 +129,4 @@
 $lang['UAM_Confirm_Mail_local'] = 'Включено - Подтверждено администратором';
 $lang['UAM_Confirm_Mail_true'] = 'Включено - Подтверждено пользователем';
-$lang['UAM_AdminPassword_Enforced'] = 'Применение к администраторам ';
-$lang['UAM_Admins cannot be pwdreset'] = 'Возобновление пароля не может быть установлено для аккаунта администратора!';
 $lang['UAM_Bad_version_backup'] = 'Версия файла резервной копии не соответствует версии плагина! Восстановление не была выполнено.';
 $lang['UAM_Username_Char_false'] = 'Разрешить всё (по умолчанию)';
@@ -147,16 +135,8 @@
 $lang['UAM_Validated_Group'] = 'Группа пользователей, которые подтвердили свою регистрацию <br>';
 $lang['UAM_Validated_Status'] = 'Статус для пользователей, которые подтвердили свою регистрацию <br>';
-$lang['UAM_Webmaster cannot be pwdreset'] = 'Возобновление пароля нельзя установить для аккаунта вебмастера!';
-$lang['UAM_You cannot pwdreset your account'] = 'Возобновление пароля нельзя установить для своего собственного аккаунта!';
 $lang['UAM_confirmmail_custom_Txt1'] = 'Текст на странице подтверждения - Подтверждение прошло успешно';
 $lang['UAM_confirmmail_custom_Txt2'] = 'Текст на странице подтверждения - Подтверждение не удалось';
 $lang['UAM_empty_pwd'] = '[пустой пароль]';
 $lang['UAM_infos_mail %s'] = '%s, пожалуйста, найдите здесь Вашу информацию для входа в галерею:';
-$lang['UAM_reg_err_login4_%s'] = 'Бесплатный совет от службы безопасности:<br> Система контроля, установленная на сайте, вычисляет уровень сложности задаваемых паролей. Сложность Вашего текущего пароля весьма низкая (уровень  = %s). Пожалуйста, придумайте и введите новый пароль, более серьёзный. Для этого используйте следующие правила: <br>
-- Используйте в пароле и буквы и цифры <br>
-- Используйте для вводимых символов и верхний и нижний регистры <br>
-- Используйте увеличенную длину пароля (чем больше символов, тем надежнее) <br>
-Минимальный уровень сложности пароля, установленный администрацией сайта:';
-$lang['UAM_PwdReset_Todo'] = 'Пароль был возобновлен';
 $lang['UAM_RedirToProfile'] = 'Перенаправление на страницу настроек';
 $lang['UAM_RejectConnexion'] = 'Пользователю отказано в соединении до тех пор, пока регистрация не будет подтверждена';
@@ -176,5 +156,4 @@
 $lang['UAM_AdminValidationMail_Text'] = 'Уведомление о ручном подтверждении регистрации';
 $lang['UAM_Err_GhostTracker_Settings'] = 'Эта страница доступна, только если активирована функция "Ghost Tracker" в разделе "Установки регистрации и другие функции". ';
-$lang['UAM_Default user cannot be pwgreset'] = 'Восстановленный пароль не может быть установлен по умолчанию для аккаунта пользователя!';
 $lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Напоминание - регистрация пользователя [username] в галерее [mygallery] подтверждена';
 $lang['UAM_Default_ConfirmMail_Txt'] = 'Здравствуйте, [username]! Спасибо за Вашу регистрацию на сайте [mygallery].
@@ -185,5 +164,4 @@
 $lang['UAM_Mail_without_key'] = 'Напоминание без ключа';
 $lang['UAM_Nb_Days'] = 'Разница в днях';
-$lang['UAM_Generic cannot be pwdreset'] = 'Восстановленный пароль не может быть установлен на основном аккаунте!';
 $lang['UAM_ConfirmMail_ReMail_Subject'] = 'Настройка напоминания подтверждения регистрации по e-mail';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Настройка сообщения с напоминанием  <b><u>С</u></b> восстановлением ключа подтверждения.';
@@ -192,5 +170,4 @@
 $lang['UAM_ConfirmMail_Text'] = 'Настройка e-mail для подтверждения:';
 $lang['UAM_Customize_messagesandmails'] = 'Настройка сообщений и адресов почты';
-$lang['UAM_Guest cannot be pwdreset'] = 'Возобновление пароля для аккаунта гостя установить невозможно!';
 $lang['UAM_GhostTracker_true'] = 'Включено. Максимальный период между двумя визитами (в днях):';
 $lang['UAM_AdminValidationMail_Subject'] = 'Содержание заголовка письма подтверждения адреса e-mail';
@@ -204,5 +181,4 @@
 <b style="color: red;">Будьте внимательны при работе с резервной копией!<br>Резервная копия, сделанная в одной версии плагина, может быть восстановлена только плагином той же версии.</b>';
 $lang['UAM_Restoration_NOK'] = 'При восстановлении конфигурации произошла ошибка. Пожалуйста, проверьте годность Вашего файла резервного копирования.';
-$lang['UAM_Password_Enforced'] = 'Усиление уровня безопасности для паролей';
 $lang['UAM_No_Ghosts'] = 'Нет посетителей на данный момент';
 $lang['UAM_No_Userlist'] = 'В текущий момент посетителей в списке нет';
@@ -217,5 +193,4 @@
 $lang['UAM_No_validation_for_default_user'] = 'Аккаунт по умолчанию не требует подтверждения';
 $lang['UAM_No_validation_for_your_account'] = 'Ваш персональный аккаунт администратора не требует подтверждения';
-$lang['UAM_Password_Enforced_true'] = 'Включено. Минимальное значение:';
 $lang['UAM_MailInfo_Subject'] = 'Настройка темы информационного электронного письма';
 $lang['UAM_MailInfo_Text'] = 'Настройка информационного электронного письма:';