Index: extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 25092)
+++ extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 25101)
@@ -145,5 +145,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
 $lang['UAM_Expired_Group'] = '<b>Group</b> for user\'s registration has expired<br/>';
-$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired will ever be "--------"<br/><b style="color: red;">Note : Because useless, this feature could be removed in the future versions</b><br/>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br/><b style="color: red;">Warning : Do not user "Guest" status. Because useless, this feature could be removed in the future versions</b><br/>';
 $lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
 $lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
@@ -194,5 +194,5 @@
 $lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the statutes confirmation and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
 $lang['UAM_Confirm_Group'] = 'Groups<br/>(leave ------- to not affect group)';
-$lang['UAM_Confirm_Status'] = 'Statutes <b style="color: red;">Note : Because useless, this feature could be removed in the future versions</b><br/>(leave ------- to keep the Piwigo\'s default)';
+$lang['UAM_Confirm_Status'] = 'Statutes <b style="color: red;">Warning : Do not use "Guest" status. Because useless, this feature could be removed in the future versions</b><br/>(leave ------- to keep the Piwigo\'s default)';
 $lang['UAM_Confirm_Level'] = 'Privacy level<br/>(leave ------- to keep the Piwigo\'s default)';
 $lang['UAM_GTAutoGp'] = 'Automatic change of group / status / privacy level';
@@ -257,5 +257,5 @@
 $lang['UAM_No_Confirm_Group'] = 'Group for users who have not confirmed their registration<br/>';
 $lang['UAM_Validated_Group'] = 'Group for users who have confirmed their registration<br/>';
-$lang['UAM_No_Confirm_Status'] = 'Status for users who have not confirmed their registration will ever be "------------"<br/>';
+$lang['UAM_No_Confirm_Status'] = 'Status for users who have not confirmed their registration<br/>';
 $lang['UAM_Validated_Status'] = 'Status for users who have confirmed their registration<br/>';
 $lang['UAM_No_Valid_Level'] = 'Privacy level for users who have not confirmed their registration<br/>';
Index: extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 25092)
+++ extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 25101)
@@ -151,5 +151,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
 $lang['UAM_Expired_Group'] = '<b>Groupe</b> pour les utilisateurs dont l\'inscription aura expirée<br/>';
-$lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée - Sera obligatoirement "--------"<br/><b style="color: red;">Note : Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>';
+$lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée<br/><b style="color: red;">Important : N\'utilisez pas le status "Invité". Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>';
 $lang['UAM_GTAuto'] = 'Gestion automatique des utilisateurs fantomes';
 $lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
@@ -201,5 +201,5 @@
 $lang['UAM_Confirm_grpstat_notice'] = 'Attention : Il est conseillé d\'affecter soit les groupes, soit les statuts et pas les deux simultanément. Le niveau de confidentialité peut être utilisé conjointement avec une affectation de groupe ou de statut.';
 $lang['UAM_Confirm_Group'] = 'Groupes<br/>(------- pour ne pas affecter de groupe)';
-$lang['UAM_Confirm_Status'] = 'Statuts <b style="color: red;">Note : Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>(------- pour conserver la valeur par défaut de Piwigo)';
+$lang['UAM_Confirm_Status'] = 'Statuts <b style="color: red;">Important : N\'utilisez pas le status "Invité". Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>(------- pour conserver la valeur par défaut de Piwigo)';
 $lang['UAM_Confirm_Level'] = 'Niveau de confidentialité<br/>(------- pour conserver la valeur par défaut de Piwigo)';
 $lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut / niveau de confidentialité';
@@ -302,5 +302,5 @@
 $lang['UAM_No_Confirm_Group'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br/>';
 $lang['UAM_Validated_Group'] = 'Pour les utilisateurs ayant confirmé leur inscription<br/>';
-$lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription sera toujours "----------"<br/>';
+$lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br/>';
 $lang['UAM_Validated_Status'] = 'Pour les utilisateurs ayant confirmé leur inscription.<br/>';
 $lang['UAM_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non confirmés';