Index: extensions/UserAdvManager/branches/2.51/admin/UAM_admin.php
===================================================================
--- extensions/UserAdvManager/branches/2.51/admin/UAM_admin.php	(revision 25101)
+++ extensions/UserAdvManager/branches/2.51/admin/UAM_admin.php	(revision 25102)
@@ -433,35 +433,35 @@
 
   // Bug fix - We can not use "Guest" status and other are not suitable so we fix NO_CONFIRM_STATUS to "------------"
-  $conf_UAM['NO_CONFIRM_STATUS'] == $status_options[-1];
-
-  $template->assign(
-    'No_Confirm_Status',
-      array(
-        'Status_options' => $status_options[-1],
-        'Status_selected' => $status_options[-1]
-      )
-    );
+//  $conf_UAM['NO_CONFIRM_STATUS'] == $status_options[-1];
+//
+//  $template->assign(
+//    'No_Confirm_Status',
+//      array(
+//        'Status_options' => $status_options[-1],
+//        'Status_selected' => $status_options[-1]
+//      )
+//    );
 
   // Get unvalidate status values
   // ----------------------------
-//  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
-//  {
-//	  $status_options[$status] = l10n('user_status_'.$status);
-//	  if (isset($conf_UAM['NO_CONFIRM_STATUS']) and $conf_UAM['NO_CONFIRM_STATUS'] == $status)
-//	  {
-//	    $No_Valid_Status = $status;
-//	  }
-//	  
-//    // Template initialization for unvalidated users status
-//    // ----------------------------------------------------
-//    $template->assign(
-//      'No_Confirm_Status',
-//        array(
-//          'Status_options' => $status_options,
-//          'Status_selected' => $No_Valid_Status
-//        )
-//      );
-//  }
-
+  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
+  {
+	  $status_options[$status] = l10n('user_status_'.$status);
+	  if (isset($conf_UAM['NO_CONFIRM_STATUS']) and $conf_UAM['NO_CONFIRM_STATUS'] == $status)
+	  {
+	    $No_Valid_Status = $status;
+	  }
+	  
+    // Template initialization for unvalidated users status
+    // ----------------------------------------------------
+    $template->assign(
+      'No_Confirm_Status',
+        array(
+          'Status_options' => $status_options,
+          'Status_selected' => $No_Valid_Status
+        )
+      );
+  }
+  
   // Get validate status values
   // --------------------------
@@ -487,34 +487,34 @@
 
   // Bug fix - We can not use "Guest" status and other are not suitable so we fix DOWNGRADE_STATUS to "------------"
-  $conf_UAM['DOWNGRADE_STATUS'] == $status_options[-1];
-
-  $template->assign(
-    'Downgrade_Status',
-      array(
-        'Status_options' => $status_options[-1],
-        'Status_selected' => $status_options[-1]
-      )
-    );
+//  $conf_UAM['DOWNGRADE_STATUS'] == $status_options[-1];
+//
+//  $template->assign(
+//    'Downgrade_Status',
+//      array(
+//        'Status_options' => $status_options[-1],
+//        'Status_selected' => $status_options[-1]
+//      )
+//    );
 
   // Get downgrade status values
   // ---------------------------
-//  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
-//  {
-//    $status_options[$status] = l10n('user_status_'.$status);
-//    if (isset($conf_UAM['DOWNGRADE_STATUS']) and $conf_UAM['DOWNGRADE_STATUS'] == $status)
-//    {
-//      $Downgrade_Status = $status;
-//    }
-//		
-//    // Template initialization for validated users status
-//    // --------------------------------------------------
-//    $template->assign(
-//      'Downgrade_Status',
-//        array(
-//          'Status_options' => $status_options,
-//          'Status_selected' => $Downgrade_Status
-//        )
-//      );
-//  }
+  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
+  {
+    $status_options[$status] = l10n('user_status_'.$status);
+    if (isset($conf_UAM['DOWNGRADE_STATUS']) and $conf_UAM['DOWNGRADE_STATUS'] == $status)
+    {
+      $Downgrade_Status = $status;
+    }
+		
+    // Template initialization for validated users status
+    // --------------------------------------------------
+    $template->assign(
+      'Downgrade_Status',
+        array(
+          'Status_options' => $status_options,
+          'Status_selected' => $Downgrade_Status
+        )
+      );
+  }
 
 
Index: extensions/UserAdvManager/branches/2.51/changelog.txt.php
===================================================================
--- extensions/UserAdvManager/branches/2.51/changelog.txt.php	(revision 25101)
+++ extensions/UserAdvManager/branches/2.51/changelog.txt.php	(revision 25102)
@@ -464,4 +464,5 @@
             Bug 2987 fixed - New registered users have to follow a link on confirmation page before log in
 
+-- 2.51.1 : Bug 2986 rollback - The fix is not working well. A special notice is added in administration panel
 */
 ?>
Index: extensions/UserAdvManager/branches/2.51/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.51/language/en_UK/plugin.lang.php	(revision 25101)
+++ extensions/UserAdvManager/branches/2.51/language/en_UK/plugin.lang.php	(revision 25102)
@@ -145,5 +145,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
 $lang['UAM_Expired_Group'] = '<b>Group</b> for user\'s registration has expired<br/>';
-$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired will ever be "--------"<br/><b style="color: red;">Note : Because useless, this feature could be removed in the future versions</b><br/>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br/><b style="color: red;">Warning : Do not user "Guest" status. Because useless, this feature could be removed in the future versions</b><br/>';
 $lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
 $lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
@@ -194,5 +194,5 @@
 $lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the statutes confirmation and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
 $lang['UAM_Confirm_Group'] = 'Groups<br/>(leave ------- to not affect group)';
-$lang['UAM_Confirm_Status'] = 'Statutes <b style="color: red;">Note : Because useless, this feature could be removed in the future versions</b><br/>(leave ------- to keep the Piwigo\'s default)';
+$lang['UAM_Confirm_Status'] = 'Statutes <b style="color: red;">Warning : Do not use "Guest" status. Because useless, this feature could be removed in the future versions</b><br/>(leave ------- to keep the Piwigo\'s default)';
 $lang['UAM_Confirm_Level'] = 'Privacy level<br/>(leave ------- to keep the Piwigo\'s default)';
 $lang['UAM_GTAutoGp'] = 'Automatic change of group / status / privacy level';
@@ -257,5 +257,5 @@
 $lang['UAM_No_Confirm_Group'] = 'Group for users who have not confirmed their registration<br/>';
 $lang['UAM_Validated_Group'] = 'Group for users who have confirmed their registration<br/>';
-$lang['UAM_No_Confirm_Status'] = 'Status for users who have not confirmed their registration will ever be "------------"<br/>';
+$lang['UAM_No_Confirm_Status'] = 'Status for users who have not confirmed their registration<br/>';
 $lang['UAM_Validated_Status'] = 'Status for users who have confirmed their registration<br/>';
 $lang['UAM_No_Valid_Level'] = 'Privacy level for users who have not confirmed their registration<br/>';
Index: extensions/UserAdvManager/branches/2.51/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.51/language/fr_FR/plugin.lang.php	(revision 25101)
+++ extensions/UserAdvManager/branches/2.51/language/fr_FR/plugin.lang.php	(revision 25102)
@@ -151,5 +151,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
 $lang['UAM_Expired_Group'] = '<b>Groupe</b> pour les utilisateurs dont l\'inscription aura expirée<br/>';
-$lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée - Sera obligatoirement "--------"<br/><b style="color: red;">Note : Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>';
+$lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée<br/><b style="color: red;">Important : N\'utilisez pas le status "Invité". Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>';
 $lang['UAM_GTAuto'] = 'Gestion automatique des utilisateurs fantomes';
 $lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
@@ -201,5 +201,5 @@
 $lang['UAM_Confirm_grpstat_notice'] = 'Attention : Il est conseillé d\'affecter soit les groupes, soit les statuts et pas les deux simultanément. Le niveau de confidentialité peut être utilisé conjointement avec une affectation de groupe ou de statut.';
 $lang['UAM_Confirm_Group'] = 'Groupes<br/>(------- pour ne pas affecter de groupe)';
-$lang['UAM_Confirm_Status'] = 'Statuts <b style="color: red;">Note : Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>(------- pour conserver la valeur par défaut de Piwigo)';
+$lang['UAM_Confirm_Status'] = 'Statuts <b style="color: red;">Important : N\'utilisez pas le status "Invité". Pour cause de désuétude, cette fonction est vouée à disparaitre dans le prochaines versions</b><br/>(------- pour conserver la valeur par défaut de Piwigo)';
 $lang['UAM_Confirm_Level'] = 'Niveau de confidentialité<br/>(------- pour conserver la valeur par défaut de Piwigo)';
 $lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut / niveau de confidentialité';
@@ -302,5 +302,5 @@
 $lang['UAM_No_Confirm_Group'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br/>';
 $lang['UAM_Validated_Group'] = 'Pour les utilisateurs ayant confirmé leur inscription<br/>';
-$lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription sera toujours "----------"<br/>';
+$lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas confirmé leur inscription<br/>';
 $lang['UAM_Validated_Status'] = 'Pour les utilisateurs ayant confirmé leur inscription.<br/>';
 $lang['UAM_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non confirmés';