Index: /extensions/Password_Policy/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Password_Policy/language/ru_RU/plugin.lang.php	(revision 25104)
+++ /extensions/Password_Policy/language/ru_RU/plugin.lang.php	(revision 25105)
@@ -68,3 +68,28 @@
 Функция не распространяется на аккаунты вебмастера, универсальные и гостевые аккаунты.<br>
 Эти пользователи будут автоматически переадресованы к странице их настроек при каждом входе в галерею. До тех пор, пока они не изменят свой пароль, данное сообщение будет показываться на этой странице.';
+$lang['PP_LoginAttempts_d'] = 'Эта опция позволяет включить счетчик неудачных попыток входа в галерею из-за неправильного пароля и автоматически блокировать соответствующие учетной записи пользователя. Это предназначено для противодействия возможным попыткам взлома с через подбор пароля по словарям.<br/><br/>
+<b style=&quot;color: red;&quot;>Данная функция не распространяется на аккаунты вебмастера, гостей и универсальный аккаунт пользователя.</b><br/><br/>
+При включении опции Вы можете указать максимальное число разрешенных неудачных попыток перед блокировкой и создать собственное сообщение для пользователя, аккаунт который заблокирован. Это сообщение отображается, только если пользователя удастся идентифицировать после блокировки.<br/><br/>
+Чтобы разблокировать учетные записи, перейдите в раздел управления пользователями Вашей галереи. Там Вы сможете увидеть новый столбец, указывающий состояние аккаунтов: красный символ для заблокированных учетных записей и зеленый - для разблокированых аккаунтов. Выберите один или несколько аккаунтов, и используйте специально созданную кнопку для их разблокировки.';
+$lang['PP_User_Account_Locked_Txt'] = 'Извините, но по соображениям безоасности Ваш доступ в галерею был заблокирован из-за слишком большого количества неудачных попыток входа. Возможно, Ваш аккаунт пытаются взломать. Пожалуйста, сообщите о случившемся администратору сайта, чтобы он провел разблокировку.';
+$lang['PP_UserLocked_Custom_Txt_d'] = 'Здесь Вы можете поменять текст сообщения, который отображается у пользователя с заблокированным аккаунтом. В сообщении можно применять и мультиязычность, через тэги плагина Extended description (если Вы, конечно, установите и активируете этот плагин).';
+$lang['PP_You cannot unlock your account'] = 'Вы не можете разблокировать свой собственный аккаунт';
+$lang['PP_You need to confirm unlock'] = 'Вы должны подтвердить разблокировку! (галочка в окошечке)';
+$lang['PP_Admins is not unlockable'] = 'Админы не могут быть заблокированы и не могут быть разблокированы';
+$lang['PP_Generic is not unlockable'] = 'Обычные пользователи не могут быть заблокированы и не могут быть разблокированы';
+$lang['PP_Guest is not unlockable'] = 'Гости не могут быть заблокированы и не могут быть разблокированы';
+$lang['PP_Webmaster is not unlockable'] = 'Вебмастеры не могут быть заблокированы и не могут быть разблокированы';
+$lang['PP %d user unlocked'] = 'пользователь %d разблокирован';
+$lang['PP %d users unlocked'] = 'пользователи %d разблокированы';
+$lang['PP_Default user is not unlockable'] = 'Пользователь по умолчанию не может быть заблокирован и не может быть разблокирован';
+$lang['PP_LockedUsers'] = 'Состояние блокировки';
+$lang['PP_LoginAttempts'] = 'Управление неудачными попытками входа';
+$lang['PP_Max number of failed attempts'] = 'Максимальное количество неудачных попыток:';
+$lang['PP_Max number of failed attempts_d'] = 'Число "0" отключает подсчет попыток.';
+$lang['PP_Password_Enforced'] = 'Усиление уровня безопасности паролей';
+$lang['PP_Unlock'] = 'Разблокировано';
+$lang['PP_Unlock selected users'] = 'Разблокировать выбранных пользователей';
+$lang['PP_User Locked'] = 'Пользователь заблокирован';
+$lang['PP_User Not Locked'] = 'Пользователь не заблокирован';
+$lang['PP_UserLocked_Custom_Txt'] = 'Настройка информационного сообщения для заблокированного пользователя';
 ?>