Index: /extensions/adult_content/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/adult_content/language/uk_UA/plugin.lang.php	(revision 25110)
+++ /extensions/adult_content/language/uk_UA/plugin.lang.php	(revision 25111)
@@ -47,9 +47,12 @@
 $lang['ac_retour'] = 'Я не бажаю активізувати цей тип вмісту і я повертаюся на попередню сторінцу';
 $lang['ac_statut'] = 'Ваш закон:';
-$lang['ac_text_activ_16'] = '<u>... і я гарантую, на честь, що</u>: <br>
-- <B>Мені 16 або 17 років.</B> <br> 
+$lang['ac_text_activ_16'] = '<u>... і я гарантую, з чистим серцем, що</u>: <br>
+- <b>Мені 16 або 17 років.</b> <br> 
+- Я попереджений, що цей сайт пропонує зображень еротичного характеру. <br> 
+- Закони моєї країни дозволяють мені переглядати цей сайт.';
+$lang['ac_text_activ_18'] = '<u>... і я гарантую, з чистим серцем, що</u>: <br> 
+- <b>Мені більш ніж 18 років, і я повнолітній </b> відповідно до законодавства в моїй країні . <br> 
 - Я попереджений, що цей сайт пропонує зображень порнографічного і еротичного характеру. <br> 
 - Закони моєї країни дозволяють мені переглядати цей сайт.';
-$lang['ac_text_activ_18'] = '<u>... і я гарантую, на честь, що</u>: <br> 
 - <B>Мені більш ніж 18 років, і я повнолітній </B> відповідно до законодавства в моїй країні . <br> 
 - Я попереджений, що цей сайт пропонує зображень порнографічного і еротичного характеру. <br> 
@@ -62,3 +65,6 @@
 $lang['NEW! Check the Plugin PWG Stuffs to add the disclaimer on the index/album pages'] = 'Новинка! Увімкніть плагін PWG Stuffs для автоматичного додання оголошення на індексних/альбомних сторінках';
 $lang['No options. Just check "Allow unregistered users to select their age?" on the Adult Content administration page'] = 'Налаштування відсутні. Просто увімкніть "Дозволяти незареєстрованим користувачам вказувати їх вік?" на сторінці адміністрування вмісту для дорослих';
+$lang['ac_text_charte'] = 'Ви входите на сайт візуальний вміст якого носить еротичний, або порнографічний характер призначений виключено для попереджених відвідувачів, яким дозволено переглядати даний вміст. Відвідування даного сайту відбувається з особистого бажання відвідувача. Діючий сайт знімає з себе будь-яку відповідальність за наслідки, які можуть буть бути нанесені вмістом і послугами сайту будь-якій людині, аж до того, що будь-хто може бути шокований. Кожен відвідувач увійшовши на сайт публічно попереджений і приймає на себе всі можливі наслідки. </p>
+
+<p>Якщо я порушую будь-яке з цих зобов’язань або у разі неправдивих відомостей, я можу бути покараний згідно законів своєї країни, і <b>приймаю на себе повну відповідальність за свої вчинки</b>. Я заявляю, що був повністю проінформований про наданий вміст і відмовляюсь від будь-яких процесуальних дій проти хостинг-провайдера і адміністраторів цього сайту. Я уважно прочитав всі вищезазначені пункти і електронно підписую мою згоду з прочитаним, шляхом вибору і натиснення кнопки, відповідно до мого віку.';
 ?>