Index: extensions/piwishack/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/piwishack/language/uk_UA/plugin.lang.php	(revision 24979)
+++ extensions/piwishack/language/uk_UA/plugin.lang.php	(revision 25129)
@@ -24,63 +24,63 @@
 
   // New since 2.5.b
-$lang['close']                  = 'Close';
-$lang['sheet_html']             = 'Core HTML';
-$lang['sheet_bbcode']           = 'Core BBCode';
-$lang['sheet_custom']           = 'Other codes';
-$lang['custom_code']            = 'Custom code #';
+$lang['close'] = 'Закрити';
+$lang['sheet_html'] = 'HTML-код';
+$lang['sheet_bbcode'] = 'BBCode';
+$lang['sheet_custom'] = 'Інші коди';
+$lang['custom_code'] = 'Користувацький код #';
 
-$lang['post_code_Thumbnail']          = 'Display the thumbnail (without link)';
-$lang['post_code_ThumbnailToGallery'] = 'Display the thumbnail (clickable, link to gallery)';
-$lang['post_code_ThumbnailToImage']   = 'Display the thumbnail (clickable, link to image)';        
-$lang['post_code_Image']              = 'Viewing the normal view (without link)';
-$lang['post_code_ImageToGallery']     = 'Viewing the normal view (clickable, link to gallery)';
-$lang['post_code_NameToImage']        = 'Name of image, with link to image';
-$lang['post_code_NameToGallery']      = 'Name of image, with link to gallery';
+$lang['post_code_Thumbnail'] = 'Відобразити ескіз (без посилання)';
+$lang['post_code_ThumbnailToGallery'] = 'Відобразити ескіз (інтерактивне, з посиланням на галерею)';
+$lang['post_code_ThumbnailToImage'] = 'Відобразити ескіз (інтерактивне, з посиланням на зображення)';
+$lang['post_code_Image'] = 'Звичайний показ (без посилання)';
+$lang['post_code_ImageToGallery'] = 'Звичайний показ (інтерактивне, з посиланням на галерею)';
+$lang['post_code_NameToImage'] = 'Назва зображення, з посиланням на зображення';
+$lang['post_code_NameToGallery'] = 'Назва зображення, з посиланням на галерею';
 
 // Admin: main parameters 
-$lang['admin_title']         = 'PiwiShack configuration';
-$lang['admin_fieldset_main'] = 'Main parameters';
-$lang['admin_save']          = 'Save';
+$lang['admin_title'] = 'Конфігурація PiwiShack';
+$lang['admin_fieldset_main'] = 'Основні параметри';
+$lang['admin_save'] = 'Зберегти';
 
-$lang['admin_used_by']         = 'Piwishack will be usable by';
-$lang['admin_used_by_all']     = 'all visitors (guests included)';
-$lang['admin_used_by_members'] = 'registered members';
-$lang['admin_used_by_admin']   = 'administrators only';
+$lang['admin_used_by'] = 'Piwishack можуть використовувати';
+$lang['admin_used_by_all'] = 'всі відвідувачі (гості включені)';
+$lang['admin_used_by_members'] = 'зареєстровані користувачі';
+$lang['admin_used_by_admin'] = 'тільки адміністратори';
 
-$lang['admin_default_sheet']        = 'The format sheet displayed by default is the';
-$lang['admin_default_sheet_bbcode'] = 'BBCode (e.g. for forum)';
-$lang['admin_default_sheet_html']   = 'HTLM (for web page)';
-$lang['admin_default_sheet_custom'] = 'custom';
+$lang['admin_default_sheet'] = 'Формат листа, який відображається за умовчанням є на';
+$lang['admin_default_sheet_bbcode'] = 'BBCode (наприклад для форумів)';
+$lang['admin_default_sheet_html'] = 'HTML (для веб-сторінки)';
+$lang['admin_default_sheet_custom'] = 'крористувацькі';
 
-$lang['admin_window_open']       = 'The HTML link will open in';
-$lang['admin_window_open_local'] = 'the current window (standard)';
-$lang['admin_window_open_other'] = 'another window (not recommended)';
+$lang['admin_window_open'] = 'HTML посилання відкриється в';
+$lang['admin_window_open_local'] = 'поточне вікно (стандартно)';
+$lang['admin_window_open_other'] = 'інше вікно (не рекомендовано)';
 
-$lang['admin_img_name']       = 'Are image names displayed before code?';
-$lang['admin_img_name_never'] = 'never';
-$lang['admin_img_name_list']  = 'for lists only';
-$lang['admin_img_name_all']   = 'always';
+$lang['admin_img_name'] = 'Назва зображеннь відображаються перед кодом?';
+$lang['admin_img_name_never'] = 'ніколи';
+$lang['admin_img_name_list'] = 'тільки для списків';
+$lang['admin_img_name_all'] = 'завжди';
 
 // Admin: core codes configuration 
-$lang['admin_fieldset_codes']       = 'Piwishack codes selection';
-$lang['admin_codes_thumb']          = 'Thumbnail without link';
-$lang['admin_codes_thumb_to_page']  = 'Thumbnail with link to gallery page';
-$lang['admin_codes_thumb_to_image'] = 'Thumbnail with link to image';        
-$lang['admin_codes_img']            = 'Image without link';
-$lang['admin_codes_img_to_page']    = 'Image with link to gallery';
-$lang['admin_codes_name_to_image']  = 'Image name with link to image';
-$lang['admin_codes_name_to_page']   = 'Image name with link to gallery';
-$lang['admin_codes_help']           = 'Tip: Each number defines the sort order used for display. "0" could be used if you don\'t want to display a string pattern.';
+$lang['admin_fieldset_codes'] = 'Вибір кодів Piwishack';
+$lang['admin_codes_thumb'] = 'Ескіз без посилання';
+$lang['admin_codes_thumb_to_page'] = 'Ескіз з посиланням на галерею';
+$lang['admin_codes_thumb_to_image'] = 'Ескіз з посиланням на зображення';
+$lang['admin_codes_img'] = 'Зображення без посилання';
+$lang['admin_codes_img_to_page'] = 'Зображення з посиланням на галерею';
+$lang['admin_codes_name_to_image'] = 'Назва зображення та посилання на зображення';
+$lang['admin_codes_name_to_page'] = 'Назва зображення та посилання на галерею';
+$lang['admin_codes_help'] = 'Підказка: Кожне число визначає порядок сортування для відображення. "0" може бути використаний, якщо ви не хочете відображати рядок шаблону.';
 
 // Admin: custom codes configuration 
-$lang['admin_fieldset_custom']  = 'Additional sheet: customizable string codes';
-$lang['admin_custom_code']      = 'Custom code #';
-$lang['admin_custom_name']      = 'Name: ';
-$lang['admin_custom_help']      = 'Tip: You can use the following variables in your patterns:<br />
- <label><span class="pattern">##i</span></label>: URL of the image - 
- <label><span class="pattern">##t</span></label>: URL of the thumbnail - 
- <label><span class="pattern">##g</span></label>: URL of the gallery page -
- <label><span class="pattern">##n</span></label>: name of the image<br />
- Refer to patterns used in the previous fieldset for examples.';
+$lang['admin_fieldset_custom'] = 'Додатковий лист: код рядка, що налаштовується';
+$lang['admin_custom_code'] = 'Користувацький код #';
+$lang['admin_custom_name'] = 'Назва: ';
+$lang['admin_custom_help'] = 'Підказка: Ви можете використовувати наступні зміни у ваших шаблонах:<br />
+ <label><span class="pattern">##i</span></label>: URL зображення 
+ <label><span class="pattern">##t</span></label>: URL ескіза - 
+ <label><span class="pattern">##g</span></label>: URL галереї -
+ <label><span class="pattern">##n</span></label>: Назва зображення<br />
+Беріть приклад з шаблону, який використовується в попередньому наборі полів.';
   
 ?>