Index: branches/2.5/language/br_FR/install.lang.php
===================================================================
--- branches/2.5/language/br_FR/install.lang.php	(revision 25149)
+++ branches/2.5/language/br_FR/install.lang.php	(revision 25157)
@@ -33,5 +33,35 @@
 $lang['User'] = 'Implijer';
 $lang['please enter your password again'] = 'Lakait ho ger-tremen adarre';
-$lang['user password given by your host provider'] = 'Ger-tremen roet gant ho pourvezer moned war ar Genrouedad';
+$lang['user password given by your host provider'] = 'ger-tremen roet gant ho pourvezer ostiz';
 $lang['Password ']['confirm'] = 'Ger-tremen [evit kadarnaat]';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo n\'eo ket deuet a-benn da gefluniañ PHP 5.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo a c\'hell cheñch ho kefluniadur da PHP 5 en ur grouiñ pe kemmañ ur restr .htaccess.';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'C\'hwitet eo krouadur ar restr gefluniañ local/config/database.inc.php.';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Posubl eo deoc\'h pellgargañ ar restr gefluniañ, hag ezkargañ anezhañ da kavlec\'h local/config ho staliadur.';
+$lang['Congratulations, Piwigo installation is completed'] = 'Gourc\'hemennoù, echu eo staliadur Piwigo';
+$lang['Installation'] = 'Staliadur';
+$lang['Start Install'] = 'Kregiñ gant ar staliadur';
+$lang['Welcome to your new installation of Piwigo!'] = 'Degemer mat en ho staliadur nevez Piwigo !';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Goulennit da skor ho pourvezer ostiz penaos e c\'hellit implij PHP 5.';
+$lang['It appears your webhost is currently running PHP %s.'] = 'PHP %s a zo o labourat war hoc\'h ostiz.';
+$lang['localhost or other, supplied by your host provider'] = 'localhost pe anv all, roet gant ho pourvezer ostiz';
+$lang['also given by your host provider'] = 'roet gant ho pourvezer ostiz ivez';
+$lang['user login given by your host provider'] = 'anv-implijer roet gant ho pourvezer ostiz';
+$lang['Host'] = 'Ostiz';
+$lang['Can\'t connect to server'] = 'Ne oa ket posubl kevreañ ouzh ar servijer';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Sikour ho peus ezhom? Savit ho goulennoù war <a href="%s">Forom Piwigo</a>.';
+$lang['verification'] = 'gwiriadur';
+$lang['Sorry!'] = 'Digarezit !';
+$lang['PHP 5 is required'] = 'Ret eo kaout PHP 5';
+$lang['Just another Piwigo gallery'] = 'Ur palier-luc\'hskeudennoù Piwigo all';
+$lang['Hope to see you back soon.'] = 'Ken ar wech all !';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Lennit hor foromoù evit kaout sikour: %s';
+$lang['enter a login for webmaster'] = 'Lakait anv implijer ar mestr-gwiad';
+$lang['webmaster login can\'t contain characters \' or "'] = 'Arabat eo lakaat lizherennoù \' pe " e-barzh anv implijer ar mestr-gwiad';
+$lang['Default gallery language'] = 'Yezh dre ziouer ar palier';
+$lang['Welcome to my photo gallery'] = 'Degemer mat war ma palier-luc\'hskeudennoù';
+$lang['Database table prefix'] = 'Rakger taolennoù an diaz roadennoù';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'Ar rakger-mañ a vo ouzhpennet da anvioù taolennoù an diaz roadennoù (Gwelloc\'h e vo mererezh ho taolennoù)';
+$lang['Database name'] = 'Anv an diaz roadennoù';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Kevreet mat ouzh ar servijer omp, met ne oa ket posubl kevreañ ouzh an diaz roadennoù.';
 ?>
Index: branches/2.5/language/en_GB/common.lang.php
===================================================================
--- branches/2.5/language/en_GB/common.lang.php	(revision 25149)
+++ branches/2.5/language/en_GB/common.lang.php	(revision 25157)
@@ -65,3 +65,6 @@
 $lang['display your favorites photos'] = 'display your favourite photos';
 $lang['You are not authorized to access the requested page'] = 'You are not authorised to access the requested page';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Successfully registered; you will soon receive an email with your connection settings. Welcome!';
+$lang['Please, enter a login'] = 'Please enter a login';
+$lang['Piwigo encountered a non recoverable error'] = 'Piwigo encountered an irrecoverable error';
 ?>
Index: branches/2.5/language/pt_BR/help/cat_options.html
===================================================================
--- branches/2.5/language/pt_BR/help/cat_options.html	(revision 25149)
+++ branches/2.5/language/pt_BR/help/cat_options.html	(revision 25157)
@@ -1,23 +1,21 @@
+<h2>Opções de álbum</h2>
 
-<h2>Opções do álbum</h2>
-
-<p>Opções de gestão para vários álbuns de uma vez.</p>
+<p>Opções de configuração para vários álbuns de uma vez.</p>
 
 <dl>
 
 <dt>Comentários</dt>
-<dd>ma foto pode receber comentários de seus visitantes se ele pertence a um álbum com comentários ativados.</dd>
+<dd>Uma foto pode receber comentários de seus visitantes se ele pertence a um álbum com comentários ativados.</dd>
 
-<dt>Trancar</dt>
+<dt>Trancar (Lock)</dt>
 <dd>Álbuns trancados estão desativados para manutenção. Somente os administradores podem vê-los na galeria.</dd>
 
 <dt>Público / privado</dt>
-<dd>Uma vez que um álbum tornou privado, dê direitos de acesso aos usuários e grupos</dd>
+<dd>Uma vez que um álbum é privado, dê direitos de acesso aos usuários e grupos.</dd>
 
 <dt>Representante</dt>
-<dd>This option is available when you set the configuration setting
-<code>allow_random_representative</code> (see <span
- class="filename">include/config_defaults.inc.php</span>) para
-<em>verdade</em>. Cada disco pode ser representado por uma foto aleatória ou através de uma foto escolhida como representante único.
+<dd>Esta opção está disponível quando a entrada no arquivo de configuração <code>allow_random_representative</code>
+(veja <span class="filename">include/config_defaults.inc.php</span>) está com o valor 
+<em>true</em>. Cada álbum pode ser representado por uma foto aleatória ou por meio de uma foto escolhida como representante único.
 </dd>
 
Index: branches/2.5/language/zh_TW/help/configuration.html
===================================================================
--- branches/2.5/language/zh_TW/help/configuration.html	(revision 25157)
+++ branches/2.5/language/zh_TW/help/configuration.html	(revision 25157)
@@ -0,0 +1,107 @@
+<h2>配置</h2>
+
+<p>這個畫面讓管理員做基本畫廊配置。事實上，這個畫面只顯示簡單的配置參數，對於絕大多數的管理員，應該是足夠的。如果你想看到其他眾多（高級）配置參數，讀取默認的配置文件 
+<span class="filename">include/config_default.inc.php</span>.</p>
+
+<p>畫面分成不同的部分，按主題分組來配置參數。</p>
+
+
+<h3>主要</h3>
+<ul>
+  <li><strong>圖庫標題</strong>: 通過電子郵件，使用RSS訂閱和通知。</li>
+
+  <li><strong>網頁橫幅</strong>: 顯示每個公共頁面頂部。</li>
+
+  <li><strong>圖庫網址</strong>: 用於RSS提要。</li>
+
+  <li><strong>鎖定圖庫</strong>: 鎖定整個圖庫來維護。只有管​​理員組的用戶將能夠到達圖庫。</li>
+
+  <li><strong>評分</strong>: 照片評分功能被啟用。</li>
+
+  <li><strong>客人也可評分</strong>: 即使是未註冊的用戶，也能評分圖片。</li>
+
+  <li><strong>允許用戶註冊</strong>: 任何人都可以註冊。</li>
+
+  <li><strong>強制所有用戶留下郵件地址</strong>: 除了管理員以外，所有用戶登記或更新資料時，將檢查郵件地址。</li>
+
+  <li><strong>當一個新用戶註冊用電子郵件通知管理員</strong>: 每個註冊都將用郵件通知管理員。</li>
+  
+  <li><strong>默認照片順序</strong>: 你可以將下拉菜單定義個人化的順序</li>
+
+</ul>
+
+<h3>歷史</h3>
+
+  <p>頁面的訪客 <span
+  class="pwgScreen">category.php</span> 和 <span
+  class="pwgScreen">picture.php</span> 將被保存在在 <code>history</code> 表。</p>
+  
+  <p>訪客將顯示在 <span  class="pwgScreen">管理 &raquo; 工具 &raquo; 歷史</span>.</p>
+
+<ul>
+  <li><strong>保存訪客的訪問頁面 </strong>: 訪客的訪問頁面將會被記錄</li>
+
+  <li><strong>保存用戶的訪問頁面 </strong>: 用戶的訪問頁面將會被記錄</li>
+
+  <li><strong>保存管理員的訪問頁面 </strong>: 管理員的訪問頁面將會被記錄</li>
+
+</ul>
+
+<h3>評論</h3>
+<ul>
+
+  <li><strong>所有人都可評論</strong>: 即使是未登記的訪客也可以發表評論</li>
+
+  <li><strong>每頁的意見數</strong>.</li>
+
+  <li><strong>驗證</strong>: 管理員必須驗證用戶的評論，才能在網站上看到。用戶評論驗證發生在畫面 
+<span class="pwgScreen">管理 &raquo; 工具 &raquo; 掛起的評論</span>.</li>
+
+  <li><strong>當輸入一個有效的評論，用電子郵件通知管理員</strong>: 當用戶輸入一個有效的評論，發送電子郵件給管理員。</li>
+
+  <li><strong>當評論需要審核，用電子郵件通知管理員</strong>:
+發送電子郵件給管理員，當用戶輸入的評論需要由管理員驗證。用戶評論驗證發生在畫面
+<span class="pwgScreen">管理 &raquo; 工具 &raquo; 掛起的評論</span>.</li>
+
+</ul>
+
+<h3>默認顯示</h3>
+
+<p>
+在這裡，你可以改變訪客使用的顯示選項，默認用戶是沒有連接的。
+一旦連接成功，這些選項是由用戶自己選擇覆蓋。
+(修改中的 <span class="pwgScreen">配置</span>).</p>
+
+<p>
+這可能改變所有現有用戶的顯示選項，在<span class="pwgScreen">管理 &raquo; 用戶 &raquo; 管理</span>
+ 畫面，在那裡你可以選擇一個用戶列表。</p>
+
+<ul>
+
+  <li><strong>語言</strong>: 只應用在Piwigo的標籤、相冊名稱、相片名稱，和所有沒有本地化的描述欄位</li>
+
+  <li><strong>每行的照片數</strong></li>
+
+  <li><strong>每頁的行數</strong></li>
+
+  <li><strong>界面主題</strong></li>
+
+  <li><strong>最近一段時期</strong>: 按天數。顯示此期間的新照片。必須大於1天。</li>
+
+  <li><strong>展開所有的相冊</strong>: 默認情況下，在菜單中展開所有的相冊
+  <em>警告</em>: ​​此選項在資源密集時，比如你的相冊集中包含多本相冊時，可能會產生巨大的菜單。</li>
+
+  <li><strong>顯示評論數</strong>: 每張照片縮略圖頁面上，顯示評論的數量。資源密集型的。</li>
+
+  <li><strong>顯示點擊數</strong>:
+ 在縮略圖頁面上的縮略圖照片中，顯示點擊數。
+ 只有當進階的配置參數是: <br>
+ $conf['show_nb_hits'] = true; <br>
+ 注意：默認為不顯示</li>
+
+  <li><strong>照片的最大寬度</strong>: 最大顯示寬度。 照片大於這個設置，顯示時將被調整。
+ 如果不選擇此項,你可能會考慮修改照片的寬度，這將是一個更好的做法。</li>
+
+  <li><strong>照片的最大高度</strong>: 設置為與最大寬度相同。</li>
+
+</ul>