Index: /extensions/Password_Policy/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/Password_Policy/language/el_GR/plugin.lang.php	(revision 25157)
+++ /extensions/Password_Policy/language/el_GR/plugin.lang.php	(revision 25158)
@@ -76,3 +76,21 @@
 $lang['PP %d users unlocked'] = '%d χρήστες ξεκλειδώθηκαν';
 $lang['PP %d user unlocked'] = '%d χρήστης ξεκλειδώθηκε';
+$lang['PP_You need to confirm unlock'] = 'Θα πρέπει να επιβεβαιώσετε το ξεκλείδωμα (check box)!';
+$lang['PP_You cannot unlock your account'] = 'Δεν μπορείτε να ξεκλειδώσετε το δικό σας λογαριασμό';
+$lang['PP_Webmaster is not unlockable'] = 'Οι χρήστες Webmaster δεν μπορούν να κλειδώνονται και δεν μπορεί να ξεκλειδώνονται';
+$lang['PP_User_Account_Locked_Txt'] = 'Δυστυχώς, για λόγους ασφαλείας η πρόσβασή σας στην γκαλερί έχει κλειδωθεί λόγω των πάρα πολλών αποτυχημένων προσπαθειών σύνδεσης. Αυτό μπορεί να οφείλεται και σε μια προσπάθεια hacking στο λογαριασμό σας. Παρακαλούμε επικοινωνήστε με το διαχειριστή του site για να ζητήσετε το ξεκλείδωμα.';
+$lang['PP_UserLocked_Custom_Txt_d'] = 'Εδώ μπορείτε να αλλάξετε το κείμενο του μηνύματος που εμφανίζεται στο χρήστη του οποίου ο λογαριασμός έχει κλειδωθεί. Για να χρησιμοποιήσετε πολλές γλώσσες, μπορείτε να χρησιμοποιήσετε ετικέτες του πρόσθετου Extended description, εάν είναι ενεργοποιημένο.';
+$lang['PP_UserLocked_Custom_Txt'] = 'Προσαρμογή του μηνύματος πληροφοριών στον κλειδωμένο χρήστη';
+$lang['PP_User Locked'] = 'Ο Χρήστης είναι Κλειδωμένος ';
+$lang['PP_User Not Locked'] = 'Ο Χρήστης δεν είναι Κλειδωμένος ';
+$lang['PP_Unlock selected users'] = 'Ξεκλειδώστε τους επιλεγμένους χρήστες';
+$lang['PP_Unlock'] = 'Ξεκλείδωμα';
+$lang['PP_Title'] = 'Password Policy - Έκδοση:';
+$lang['PP_SubTitle'] = 'Διαμόρφωση πρόσθετου';
+$lang['PP_Max number of failed attempts_d'] = 'Ο αριθμός 0 απενεργοποιεί τις καταμετρημένες προσπάθειες.';
+$lang['PP_Max number of failed attempts'] = 'Μέγιστος αριθμός αποτυχημένων προσπαθειών:';
+$lang['PP_LoginAttempts_d'] = 'Αυτή η επιλογή επιτρέπει την καταγραφή των αποτυχημένων προσπαθειών σύνδεσης στη γκαλερί λόγω εσφαλμένου κωδικού και κλειδώνει αυτόματα το σχετικό λογαριασμό χρήστη. Έχει σχεδιαστεί για να αντιμετωπιστούν πιθανές απόπειρες πειρατείας με τη χρήση λεξικών κωδικού πρόσβασης. <br/> <br/>
+<b style=&quot;color: red;&quot;>Οι λογαριασμοί Webmaster, κοινοί χρήστες και επισκέπτες εξαιρούνται από αυτή τη λειτουργία.</b><br/><br/>
+Με την ενεργοποίηση, θα είστε σε θέση να καθορίσετε το μέγιστο αριθμό των αποτυχημένων προσπαθειών επιτρέπεται πριν από την ασφάλιση και να ορίσετε ένα προσαρμοσμένο μήνυμα στο χρήστη που έχει κλειδωθεί ο λογαριασμός του. Αυτό το μήνυμα εμφανίζεται μόνο εάν ο χρήστης καταφέρνει να αναγνωριστεί μετά το κλείδωμα. <br/> <br/>
+Για να ξεκλειδώσετε τους λογαριασμούς, μεταβείτε στο περιβάλλον διαχείρισης χρηστών της γκαλερί σας. Θα βρείτε μια νέα στήλη που δείχνει την κατάσταση των λογαριασμών που συμβολίζεται από ένα κόκκινο σύμβολο (για το κλειδωμένο λογαριασμό) και πράσινο (για ξεκλειδωμένους λογαριασμό). Επιλέξτε έναν ή περισσότερους λογαριασμούς για να ξεκλειδώσετε και χρησιμοποιήστε το πλήκτρο ξεκλειδώματος που έχει σχεδιαστεί για το σκοπό αυτό.';
 ?>