Index: /extensions/Slide/js/slide.js
===================================================================
--- /extensions/Slide/js/slide.js	(revision 25220)
+++ /extensions/Slide/js/slide.js	(revision 25221)
@@ -1,362 +1,375 @@
-$(function()
-	{
-	$( document ).ready(function() 
+	$(function()
 		{
-		if($('body').attr('id') == 'theCategoryPage')
+			if($('body').attr('id') == 'theCategoryPage')
+				{
+				$('#menu_start').hide()
+			};
+			if($('body').attr('id') != 'theCategoryPage')
+				{
+				$('#menu').hide()
+			};
+				
+			$("#page_content #nav_wrapper").css("display", "none");
+			$("li.liSub:last-child dt").addClass('dd_wrapper');
+			$("li.liSub:last-child dd").addClass('sub');
+
+			function megaHoverOver()
+				{
+				$(this).find(".sub").stop().fadeTo('slow', 1).show()
+			}
+			
+			function megaHoverOut()
+				{
+				$(this).find(".sub").stop().fadeTo('slow', 0, function() 
+					{
+					$(this).hide()
+				});
+			}
+
+
+			var configSub = {
+				 sensitivity: 2,		// number = sensitivity threshold (must be 1 or higher)    
+				 interval: 0, 			// number = milliseconds for onMouseOver polling interval    
+				 over: megaHoverOver,   // function = onMouseOver callback (REQUIRED)    
+				 timeout: 0, 			// number = milliseconds delay before onMouseOut    
+				 out: megaHoverOut 		// function = onMouseOut callback (REQUIRED)    
+			};
+
+			$("ul#topnav li .sub").css({'display':'none'});
+			$("ul#topnav li").hoverIntent(configSub);
+			
+			
+			// Delete the border for the last li of the submenu
+			$("ul#topnav .sub ul li:last-child a").css("border", "none");
+
+			/*other menubar script*/
+			//open form login menu		
+			
+			$(".cl_wrapper").next("div").hide();
+			$(".cl_wrapper").hover(function()
+				{
+				if($(this).next("div").is(":hidden"))
+					{
+					$(this).next("div").fadeTo('fast', 1);
+					$(this).addClass('activate');
+					$(this).next("div").attr(":visible")
+				}
+			});
+				
+			$(".cl_wrapper").click(function()
+				{
+				if($(this).next("div").is(":visible"))
+					{
+					$(this).next("div").fadeTo('slow', 0, function(){$(this).hide()});
+					$(this).removeClass('activate'); 
+					$(this).next("div").attr(":hidden")
+				}
+			});
+
+			$(".close").click(function()
+				{
+				if($("#loger").is(":visible"))
+					{
+					$("#loger").fadeTo('fast', 0, function(){$(this).hide()});
+					$(".cl_wrapper").removeClass('activate');
+					$("#loger").attr(":hidden");
+				}
+			});
+			
+			$(".cc_wrapper").click(function()
+				{
+				if($(this).next("div").is(":visible"))
+					{
+					$(this).next("div").fadeTo('slow', 0, function(){$(this).hide()});
+					$(this).removeClass('activate'); 
+					$(this).next("div").attr(":hidden")
+				}
+			});
+			
+			$(".cc_wrapper").click(function()
+				{
+				if($(this).next("div").is(":hidden"))
+					{
+					$(this).next("div").fadeTo('fast', 1);
+					$(this).addClass('activate');
+					$(this).next("div").attr(":visible")
+				}
+			});
+			
+				$(".close").click(function()
+					{
+					if($("#loger").is(":visible"))
+						{
+						$("#loger").fadeTo('fast', 0, function(){$(this).hide()});
+						$(".cc_wrapper").removeClass('activate');
+						$("#loger").attr(":hidden");
+					}
+			});
+			
+			
+		$( document ).ready(function() 
 			{
-			$('#menu_start').hide()
-		};
-		if($('body').attr('id') != 'theCategoryPage')
-			{
-			$('#menu').hide()
-		};
-			
-		$("#page_content #nav_wrapper").css("display", "none");
-		$("li.liSub:last-child dt").addClass('dd_wrapper');
-		$("li.liSub:last-child dd").addClass('sub');
-
-		function megaHoverOver()
-			{
-			$(this).find(".sub").stop().fadeTo('slow', 1).show()
-		}
 		
-		function megaHoverOut()
-			{
-			$(this).find(".sub").stop().fadeTo('slow', 0, function() 
-				{
-				$(this).hide()
-			});
-		}
-
-
-		var configSub = {
-			 sensitivity: 2,		// number = sensitivity threshold (must be 1 or higher)    
-			 interval: 0, 			// number = milliseconds for onMouseOver polling interval    
-			 over: megaHoverOver,   // function = onMouseOver callback (REQUIRED)    
-			 timeout: 0, 			// number = milliseconds delay before onMouseOut    
-			 out: megaHoverOut 		// function = onMouseOut callback (REQUIRED)    
-		};
-
-		$("ul#topnav li .sub").css({'display':'none'});
-		$("ul#topnav li").hoverIntent(configSub);
+			// make column menubar_categorie
+			$('.mcol').makeacolumnlists({cols:4, colWidth:155, equalHeight: true, startN: 1});
+			
+			//determines what page will slide
+			var t = [	$('#menu_start a'),
+						$('.navigationBar a'),
+						$('.calendarBar a'),
+						$('.calendarCalBar a'),
+						$('.navigationButtons a'),
+						$('#imageHeaderBar a'),
+						$('.calImg a'),
+						$('.date_today'),
+						$('#sortOrderBox a'),
+						$('#derivativeSwitchBox a'),
+						$('#sortOrderLink'),
+						$('#derivativeSwitchLink'),
+						$('.actions a'),
+						$('.navThumb'),
+						$('.calendarTitle a'),
+						$('#linkToPiwigo a'),
+						$('#copyright a'),
+						//determines what page will slide->specific plugin	
+						$('#languageSwitchLink'),
+						$('#languageSwitchBox a'),
+						$('#theHeader a'),
+						$('#myHomePage a'),
+						$('#mbAdditionalPages a'),
+						$('#photosAddContent a'),
+						$('.amm-MenuBar-links-icons a'),
+					];
+			$.each(t,function()
+				{
+				$(this).attr('class','noSlide')
+			});
+				
+			var r = [	$('.pwg-icon-letters'),
+						$('.pwg-icon-cloud'),
+						$('.pwg-icon-help'),
+						$('.pwg-icon-favorite-del'),
+						$('.pwg-icon-caddie-add'),
+						$('.pwg-icon-category-view-flat'),
+						$('.pwg-icon-category-view-normal'),
+						$('#thePicturePage .pwg-icon-slideshow'),
+						$('#thePicturePage .pwg-icon-camera-info'),
+						$('#thePicturePage .pwg-icon-save'),
+						$('#thePicturePage .pwg-icon-favorite-add'),
+						$('#thePicturePage .pwg-icon-representative'),
+						$('#thePicturePage .pwg-icon-edit'),
+						$('.pwg-icon-category-edit')
+					];
+			$.each(r,function()
+				{
+				$(this).parent().attr('class','noSlide')
+			});
+				
+			if($('.illustration a').hasClass('cboxElement'))
+				{
+				$('.illustration a').addClass('noSlide').removeClass('slide')
+			};
+				
+			$('.categoryActions a[onclick]').addClass('noSlide');
+			$('.actionButtons a[onclick]').addClass('noSlide');
+				
+			$('a:not(.noSlide)').addClass('slide');
+				
+			var s = [	$('.description_stuffs .zero nb-comments'),
+						$('.description_stuffs .nb-hits'),
+						$('.description_stuffs .nb-comments'),
+						$('.pwg-icon-arrow-n').parent()
+					];
+			$.each(s,function()
+				{
+				$(this).remove()
+			});
+
+			var u = [	$('#linkToPiwigo a'),
+						$('#copyright a'),
+					];
+			$.each(u,function()
+				{
+				$(this).attr('target','blank')
+			});
+				
+			$('.stuffs_block .illustration .description').removeClass('description').addClass('description_stuffs');
+			$('.titrePage + div').addClass('blockConteneur');
+			$('.myHomePage_links a[href="index.php?/contact"]').addClass('slide');
+		});	
+
+			
+			$('#theHeader').find('a').on('click',function()
+				{
+				window.top.location.reload()
+			});
+				
+		//initialise scroll bar		
+			var settings 		= {	verticalDragMinHeight: 100,
+									verticalDragMaxHeight: 100,
+									autoReinitialise: true
+								};
+			var pane 			= $('.scrollpane').jScrollPane(settings);
+			var api= pane.data('jsp');
+
+		//open the slide
+			$(function()
+				{
+				$('.slide').pageslide({direction: "left",speed:2000})
+			});
+
+			$(function()
+				{
+				var wipalen		 = window.parent.length;
+				if(wipalen==1)
+					{
+					$('#menubar').remove();
+					$('#theHeader').addClass('headbord')
+				};
+				if(wipalen>3) 
+					{
+					$('#menubar').remove();
+					$('#theHeader').addClass('headbord')
+				}
+			});
 		
+		//close the slide
+			function close()
+				{
+				$.pageslide.close()
+			};
+								
+		//fit the size of the screen		
+			var w_w 		= $(window).width()-41 + 'px',
+				w_h 		= $(window).height() + 'px',
+				w_mh 		= $(window).height()-180 + 'px';
+			$('#pageslide').css({width: w_w});		
+			$('#the_page').css({height: w_h});		
+			$('.intabs').css({height: w_h});	
+			$('#content').css({minHeight: w_mh})
+									
+		//when click on tabs or scroll bar					
+			$('.tabs').bind('click', function()
+				{
+				tabs_dragbar()
+			});
+								
+			$('.jspTrack').bind('click', function()
+				{
+				tabs_dragbar()
+			});
+
+			tabs_dragbar = function()
+				{
+				$('.intabs').removeClass('visibleTransi').css("cursor","default");
+				$('.jspDrag').css("cursor","pointer");			
+				$('.jspVerticalBar').addClass('visibleTransi');
+				$('.jspVerticalBar').removeClass('hideTransi')
+			};
+			
+			
+		//when click on link with class'slide'	
+
+			$(function()
+					{
+				$('.slide').bind('click', function()
+					{dragbar_tabs()
+				});
+			});
+
+			dragbar_tabs = function()
+				{
+				$('.intabs').addClass('visibleTransi').css("cursor","pointer");
+				$('.jspDrag').css("cursor","default");			
+				$('.jspVerticalBar').addClass('hideTransi');
+				$('.jspVerticalBar').removeClass('visibleTransi')
+			};
+
+		//specif tab in page indentification
+			var content		= $('#theIdentificationPage .titrePage a').first().text(),
+				link		= '<a href="index.php" class="noSlide">' + content + '</a>';
+			$('#theIdentificationPage .intabs').addClass('visible');
+			$('#theIdentificationPage #sld_tab').replaceWith('<div id="sld_tabIdent">' + link + '</div>');
+			$('#theIdentificationPage #menubar').remove();
+						
+		//title page		
+			var titre		= $('#sld_tab').text(),
+				titre		= titre.substring(titre.lastIndexOf("/")),
+				titre		= titre.replace("/","");
+			if ((titre.indexOf("[")>=0))
+				{
+				var titre	= titre.substring(0,titre.indexOf("[",1))
+			};
+			$('#sld_tab').replaceWith("<div id='sld_tab'>"+ titre +"</div>")		
+			
+			var titre 		= $('#content .titrePage h2').first().text(),
+				titre		= titre.substring(titre.lastIndexOf("/")),
+				titre		= titre.replace("/","");
+			$('#content .titrePage h2').first().replaceWith("<h2>"+ titre +"</h2>");
+					
+			$('.browsePath a').remove();
+			var titre		= $('.browsePath').text(),
+				titre		= titre.substring(titre.lastIndexOf("/")),
+				titre		= titre.replace("/",""),
+				titre		= titre.replace("[",""),
+				titre		= titre.replace("]","");
+			$('.browsePath').replaceWith("<h2>"+ titre +"</h2>");
+							
+
+		//description size on thumbnail
+			var l			= $('.illustration img').width();
+			if(l<230)
+				{
+				$('.description').css('width','80%')
+			};
+							
+		//input scearch on menubar
+			$('#submitSearch').click( function()
+				{
+				$('.intabs').addClass('visibleTransi');
+				$('.jspVerticalBar').addClass('hideTransi');
+				$('.jspVerticalBar').removeClass('visibleTransi')
+			});
+
+		//piwitheme link in footer				
+			var link		= ' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';
+			$('#copyright').append(link);
 		
-		// Delete the border for the last li of the submenu
-		$("ul#topnav .sub ul li:last-child a").css("border", "none");
-
-		/*other menubar script*/
-		//open form login menu		
-		
-		$(".cl_wrapper").next("div").hide();
-		$(".cl_wrapper").hover(function()
-			{
-			if($(this).next("div").is(":hidden"))
-				{
-				$(this).next("div").fadeTo('fast', 1);
-				$(this).addClass('activate');
-				$(this).next("div").attr(":visible")
-			}
-		});
-			
-		$(".cl_wrapper").click(function()
-			{
-			if($(this).next("div").is(":visible"))
-				{
-				$(this).next("div").fadeTo('slow', 0, function(){$(this).hide()});
-				$(this).removeClass('activate'); 
-				$(this).next("div").attr(":hidden")
-			}
-		});
-
-		$(".close").click(function()
-			{
-			if($("#loger").is(":visible"))
-				{
-				$("#loger").fadeTo('fast', 0, function(){$(this).hide()});
-				$(".cl_wrapper").removeClass('activate');
-				$("#loger").attr(":hidden");
-			}
-		});
-		
-		$(".cc_wrapper").click(function()
-			{
-			if($(this).next("div").is(":visible"))
-				{
-				$(this).next("div").fadeTo('slow', 0, function(){$(this).hide()});
-				$(this).removeClass('activate'); 
-				$(this).next("div").attr(":hidden")
-			}
-		});
-		
-		$(".cc_wrapper").click(function()
-			{
-			if($(this).next("div").is(":hidden"))
-				{
-				$(this).next("div").fadeTo('fast', 1);
-				$(this).addClass('activate');
-				$(this).next("div").attr(":visible")
-			}
-		});
-		
-			$(".close").click(function()
-				{
-				if($("#loger").is(":visible"))
-					{
-					$("#loger").fadeTo('fast', 0, function(){$(this).hide()});
-					$(".cc_wrapper").removeClass('activate');
-					$("#loger").attr(":hidden");
-				}
-		});
-		
-		// make column menubar_categorie
-		$('.mcol').makeacolumnlists({cols:4, colWidth:155, equalHeight: true, startN: 1});
-		
-		//determines what page will slide
-		var t = [	$('#menu_start a'),
-					$('.navigationBar a'),
-					$('.calendarBar a'),
-					$('.calendarCalBar a'),
-					$('.navigationButtons a'),
-					$('#imageHeaderBar a'),
-					$('.calImg a'),
-					$('.date_today'),
-					$('#sortOrderBox a'),
-					$('#derivativeSwitchBox a'),
-					$('#sortOrderLink'),
-					$('#derivativeSwitchLink'),
-					$('.actions a'),
-					$('.navThumb'),
-					$('.calendarTitle a'),
-					$('#linkToPiwigo a'),
-					$('#copyright a'),
-					//determines what page will slide->specific plugin	
-					$('#languageSwitchLink'),
-					$('#languageSwitchBox a'),
-					$('#theHeader a'),
-					$('#myHomePage a'),
-					$('#mbAdditionalPages a'),
-					$('#photosAddContent a'),
-					$('.amm-MenuBar-links-icons a'),
-				];
-		$.each(t,function()
-			{
-			$(this).attr('class','noSlide')
-		});
-			
-		var r = [	$('.pwg-icon-letters'),
-					$('.pwg-icon-cloud'),
-					$('.pwg-icon-help'),
-					$('.pwg-icon-favorite-del'),
-					$('.pwg-icon-caddie-add'),
-					$('.pwg-icon-category-view-flat'),
-					$('.pwg-icon-category-view-normal'),
-					$('#thePicturePage .pwg-icon-slideshow'),
-					$('#thePicturePage .pwg-icon-camera-info'),
-					$('#thePicturePage .pwg-icon-save'),
-					$('#thePicturePage .pwg-icon-favorite-add'),
-					$('#thePicturePage .pwg-icon-representative'),
-					$('#thePicturePage .pwg-icon-edit'),
-					$('.pwg-icon-category-edit')
-				];
-		$.each(r,function()
-			{
-			$(this).parent().attr('class','noSlide')
-		});
-			
-		if($('.illustration a').hasClass('cboxElement'))
-			{
-			$('.illustration a').addClass('noSlide').removeClass('slide')
-		};
-			
-		$('.categoryActions a[onclick]').addClass('noSlide');
-		$('.actionButtons a[onclick]').addClass('noSlide');
-			
-		$('a:not(.noSlide)').addClass('slide');
-			
-		var s = [	$('.description_stuffs .zero nb-comments'),
-					$('.description_stuffs .nb-hits'),
-					$('.description_stuffs .nb-comments'),
-					$('.pwg-icon-arrow-n').parent()
-				];
-		$.each(s,function()
-			{
-			$(this).remove()
-		});
-
-		var u = [	$('#linkToPiwigo a'),
-					$('#copyright a'),
-				];
-		$.each(u,function()
-			{
-			$(this).attr('target','blank')
-		});
-			
-		$('.stuffs_block .illustration .description').removeClass('description').addClass('description_stuffs');
-		$('.titrePage + div').addClass('blockConteneur');
-		$('.myHomePage_links a[href="index.php?/contact"]').addClass('slide');
-		$('#theHeader').find('a').on('click',function()
-			{
-			window.top.location.reload()
-		});
-			
-	//initialise scroll bar		
-		var settings 		= {	verticalDragMinHeight: 100,
-								verticalDragMaxHeight: 100,
-								autoReinitialise: true
-							};
-		var pane 			= $('.scrollpane').jScrollPane(settings);
-		var api= pane.data('jsp');
-
-	//open the slide
-		$(function()
-			{
-			$('.slide').pageslide({direction: "left",speed:2000})
-		});
-
-		$(function()
-			{
-			var wipalen		 = window.parent.length;
-			if(wipalen==1)
-				{
-				$('#menubar').remove();
-				$('#theHeader').addClass('headbord')
-			};
-			if(wipalen>3) 
-				{
-				$('#menubar').remove();
-				$('#theHeader').addClass('headbord')
-			}
-		});
-	
-	//close the slide
-		function close()
-			{
-			$.pageslide.close()
-		};
-							
-	//fit the size of the screen		
-		var w_w 		= $(window).width()-41 + 'px',
-			w_h 		= $(window).height() + 'px',
-			w_mh 		= $(window).height()-180 + 'px';
-		$('#pageslide').css({width: w_w});		
-		$('#the_page').css({height: w_h});		
-		$('.intabs').css({height: w_h});	
-		$('#content').css({minHeight: w_mh})
-								
-	//when click on tabs or scroll bar					
-		$('.tabs').bind('click', function()
-			{
-			$('.intabs').removeClass('visibleTransi').css("cursor","default");
-			$('.jspDrag').css("cursor","pointer");			
-			$('.jspVerticalBar').addClass('visibleTransi');
-			$('.jspVerticalBar').removeClass('hideTransi');
-		});
-							
-		$('.jspTrack').bind('click', function()
-			{
-			$('.intabs').removeClass('visibleTransi').css("cursor","default");
-			$('.jspDrag').css("cursor","pointer");			
-			$('.jspVerticalBar').addClass('visibleTransi');
-			$('.jspVerticalBar').removeClass('hideTransi')
-		});
-
-	//when click on link with class'slide'		
-		$('.slide').bind('click', function()
-			{
-			$('.intabs').addClass('visibleTransi').css("cursor","pointer");
-			$('.jspDrag').css("cursor","default");			
-			$('.jspVerticalBar').addClass('hideTransi');
-			$('.jspVerticalBar').removeClass('visibleTransi')
-		});
-						
-	//specif tab in page indentification
-		var content		= $('#theIdentificationPage .titrePage a').first().text(),
-			link		= '<a href="index.php">' + content + '</a>';
-		$('#theIdentificationPage .intabs').addClass('visible');
-		$('#theIdentificationPage #sld_tab').replaceWith('<div id="sld_tabIdent">' + link + '</div>');
-		$('#theIdentificationPage #menubar').remove();
-					
-	//title page		
-		var titre		= $('#sld_tab').text(),
-			titre		= titre.substring(titre.lastIndexOf("/")),
-			titre		= titre.replace("/","");
-		if ((titre.indexOf("[")>=0))
-			{
-			var titre	= titre.substring(0,titre.indexOf("[",1))
-		};
-		$('#sld_tab').replaceWith("<div id='sld_tab'>"+ titre +"</div>")		
-		
-		var titre 		= $('#content .titrePage h2').first().text(),
-			titre		= titre.substring(titre.lastIndexOf("/")),
-			titre		= titre.replace("/","");
-		$('#content .titrePage h2').first().replaceWith("<h2>"+ titre +"</h2>");
-				
-		$('.browsePath a').remove();
-		var titre		= $('.browsePath').text(),
-			titre		= titre.substring(titre.lastIndexOf("/")),
-			titre		= titre.replace("/",""),
-			titre		= titre.replace("[",""),
-			titre		= titre.replace("]","");
-		$('.browsePath').replaceWith("<h2>"+ titre +"</h2>");
-						
-
-	//description size on thumbnail
-		var l			= $('.illustration img').width();
-		if(l<230)
-			{
-			$('.description').css('width','80%')
-		};
-						
-	//input scearch on menubar
-		$('#submitSearch').click( function()
-			{
-			$('.intabs').addClass('visibleTransi');
-			$('.jspVerticalBar').addClass('hideTransi');
-			$('.jspVerticalBar').removeClass('visibleTransi')
-		});
-
-	//piwitheme link in footer				
-		var link		= ' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';
-		$('#copyright').append(link);
-	
-	//specific IE8
-		if ($.browser.msie  && parseInt($.browser.version, 10) === 8) 
-			{	
-			$("#sortOrderLink").click(function()
-				{
-				var elt 		= $("#sortOrderBox");
-				elt.css("left", Math.min( $(this).offset().left, $(window).width() - elt.outerWidth(true) - 5))
-					.css("top", $(this).offset().top + $(this).outerHeight(true))
-					.toggle()
-				});
-			$("#sortOrderBox").on("mouseleave", function()
-				{
-				$(this).hide()
-			});
-			$("#derivativeSwitchLink").click(function() 
-				{
-				var elt 		= $("#derivativeSwitchBox");
-				elt.css("left", Math.min( $(this).offset().left, $(window).width() - elt.outerWidth(true) - 5))
-					.css("top", $(this).offset().top + $(this).outerHeight(true))
-					.toggle()
-			});
-			$("#derivativeSwitchBox").on("mouseleave", function() 
-				{
-				$(this).hide()
-			});
-			$("#languageSwitchLink").click(function()
-				{
-				var elt = $("#languageSwitchBox");
-				elt.css("left", Math.min($(this).offset().left, $(window).width() - elt.outerWidth(true) - 5))
-					.css("top", $(this).offset().top + $(this).outerHeight(true))
-					.toggle()
-			});
-			$("#languageSwitchBox").on("mouseleave", function()
-				{
-				$(this).hide();
-			});				
-		};
-	
-	});	
-	
-})(jQuery);
+		//specific IE8
+			if ($.browser.msie  && parseInt($.browser.version, 10) === 8) 
+				{	
+				$("#sortOrderLink").click(function()
+					{
+					var elt 		= $("#sortOrderBox");
+					elt.css("left", Math.min( $(this).offset().left, $(window).width() - elt.outerWidth(true) - 5))
+						.css("top", $(this).offset().top + $(this).outerHeight(true))
+						.toggle()
+					});
+				$("#sortOrderBox").on("mouseleave", function()
+					{
+					$(this).hide()
+				});
+				$("#derivativeSwitchLink").click(function() 
+					{
+					var elt 		= $("#derivativeSwitchBox");
+					elt.css("left", Math.min( $(this).offset().left, $(window).width() - elt.outerWidth(true) - 5))
+						.css("top", $(this).offset().top + $(this).outerHeight(true))
+						.toggle()
+				});
+				$("#derivativeSwitchBox").on("mouseleave", function() 
+					{
+					$(this).hide()
+				});
+				$("#languageSwitchLink").click(function()
+					{
+					var elt = $("#languageSwitchBox");
+					elt.css("left", Math.min($(this).offset().left, $(window).width() - elt.outerWidth(true) - 5))
+						.css("top", $(this).offset().top + $(this).outerHeight(true))
+						.toggle()
+				});
+				$("#languageSwitchBox").on("mouseleave", function()
+					{
+					$(this).hide();
+				});				
+			};
+	});