Index: /extensions/piclens/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/sk_SK/plugin.lang.php	(revision 25250)
+++ /extensions/piclens/language/sk_SK/plugin.lang.php	(revision 25251)
@@ -144,5 +144,5 @@
 $lang['piclens_recurs_mode_rem'] = '<i>Pri akejkoľvek vybratej metóde, 3D stena "Cooliris 3D Wall"(Tab3) pracuje v <b>Štandardnej Metóde</b></i>';
 $lang['piclens_recurs_mode_title'] = 'Rekurzívna Metóda';
-$lang['piclens_wallcfg_tutorialtime'] = 'Oneskorenie výučby';
+$lang['piclens_wallcfg_tutorialtime'] = 'Oneskorenie tutoriálu';
 $lang['piclens_wallcfg_cat_nav1'] = 'Kategórie v ktorých stena nahradí 3D navigáciu:';
 $lang['piclens_wallcfg_customButtonURL'] = 'URL vlastného tlačítka v pravom dolnom rohu panelu nástrojov';
@@ -169,3 +169,27 @@
 $lang['piclens_rsscfg_exclude_double'] = 'Zákaz dvojitého obrázku vo feede(rovnaká cesta)';
 $lang['piclens_rsscfg_ext1'] = '(Hociaká vybratá prípona=>Použiť všetky prípony v rss feede)';
+$lang['piclens_label_pwgstuff2'] = '<u>Poznámka :</u> Namiesto toho nainštalujte <a href=http://fr.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a>, ktorým pridáte blok PicLens 3DWall (zobrazenie prispôsobíte v PWG_Stuff).';
+$lang['piclens_xml_config'] = 'Konfigurácia názvu a popisov';
+$lang['piclens_xml_legend'] = 'Parametre pro názov a popis';
+$lang['root_path_legend'] = 'Piwigo cesta';
+$lang['piclens_wallcfgadv_title'] = 'Piclens : Pokročilé nastavenie Cooliris 3D Wall';
+$lang['piclens_wallcfg_tutorial'] = 'URL adresa pro obrázok tutoriálu';
+$lang['piclens_wallcfg_transparent'] = '"Priehľadný" Mód pre 3D Wall. <i>Potrebný pre niektoré horizontálne vzhľady</i>';
+$lang['piclens_wallcfg_title'] = 'Piclens : PiclensWall (3D Wall) Konfigurácia';
+$lang['piclens_wallcfg_tilt'] = 'Výška náklonu steny [0-5]';
+$lang['piclens_wallcfg_swflocal'] = '[Voliteľné] Použitím lokálneho flash súboru (swf) pre 3DWall namiesto flash súboru z Cooliris webu <b>[V tomto prípade nie je potrebný súbor crossdomain.xml]</b>';
+$lang['piclens_wallcfg_spec_nav'] = 'Nahradenie navigácie na špeciálnych stránkach Cooliris 3D wall';
+$lang['piclens_wallcfg_paramNORM'] = 'Štandardné (Rovnaké pre všetky galérie)';
+$lang['piclens_wallcfg_option-opt6'] = 'Zobraziť tlačidlo "Zatvoriť" na jednotlivých položkách';
+$lang['piclens_wallcfg_option-opt1'] = 'Zobraziť odkazy (embed) pre zdieľanie stránky na Facebooku a Twitteru na 3D wall';
+$lang['piclens_wallcfg_info_suite'] = 'do root webu (alebo upraviť existujúci)';
+$lang['piclens_wallcfg_info'] = '<b>Dôležité pre fungovanie 3D Wall : </b>Je nevyhnutné skopírovať súbor';
+$lang['piclens_wallcfg_cat_nav'] = 'Nahradenie navigácie v náhľadoch v kategóriách pomocou Cooliris 3D wall';
+$lang['piclens_wallcfg_cat'] = '	Kategórie zaradené do Cooliris 3D wall (pre parameter \'špecifické\') :';
+$lang['piclens_stuffs_info_param'] = '3D Wall nastavenie musí byť upravené na konfiguračnej stránke <b>Cooliris-piclens/b> pluginu.';
+$lang['piclens_stuff_param_commun'] = '<b>Parametre môžu byť podobné ako pre pluginy Cooliris PicLens a PWG-Stuff</b>';
+$lang['piclens_recursive_standard_detail'] = 'Home<br/>&nbsp;\- Kategória A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Subkategória AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Subkategória AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategória B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Subkategória BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Subkategória BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- obrázky_BBxx<br/><br/>- V Home, 1 stream obsahuje všechny obrázky z A a B kategórie a ich podkategórií (flux Home)<br/>- V každej kategórii (napr. A), 1 stream obsahuje všetky obrázky v kategórii a podkategoriách (napr. A a AA a AB)<br/>';
+$lang['piclens_recursive_specifique_detail'] = 'Home<br/>&nbsp;\- Kategória A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Subkategória AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Subkategória AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategória B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Subkategória BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Subkategória BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- obrázky_BBxx<br/><br/>- V Home, 1 stream pre každú kategóriu obsahuje všetky obrázky z sub-kategórií (napr. A a B )<br/>- V každej kategórii (napr. A), 1 stream pre kategóriu obsahuje všetky obrázky v kategórii (napr. stream A) a 1 stream pre každú sub-kategóriu obsahuje všetky obrázky zo sub-kategórií (napr. stream AA a AB)';
+$lang['piclens_label_pwgstuff1'] = '<u>Poznámka :</u> <b>nastavenie nie je k dispozícii, pretože je nainštalovaný modul PWG_Stuff (skontrolujte si možnosti v PWG_Stuff). Niektoré nastavenia sa dajú upraviť tu.</b>';
+$lang['piclens_label_crossdomain1'] = '<i>Súbor <u>crossdomain.xml</u> už existuje v root webu, editujte ho manuálne, ak je to potrebné.</i>';
 ?>